/// <reference types="react" />
import type { DTransitionProps, DTransitionState } from './Transition';
export interface DCollapseTransitionProps extends Omit<DTransitionProps, 'children'> {
    children: (ref: React.RefObject<any>, style: React.CSSProperties, state: DTransitionState) => JSX.Element | null;
    dSize: string | number;
    dHorizontal?: boolean;
    dStyles: Partial<Record<DTransitionState, React.CSSProperties>>;
}
export declare function DCollapseTransition(props: DCollapseTransitionProps): JSX.Element | null;
