import type { DSize } from '../../utils';
import React from 'react';
export interface DButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    dType?: 'primary' | 'secondary' | 'outline' | 'dashed' | 'text' | 'link';
    dTheme?: 'primary' | 'success' | 'warning' | 'danger';
    dLoading?: boolean;
    dBlock?: boolean;
    dVariant?: 'circle' | 'round';
    dSize?: DSize;
    dIcon?: React.ReactNode;
    dIconRight?: boolean;
}
export declare const DButton: React.ForwardRefExoticComponent<DButtonProps & React.RefAttributes<HTMLButtonElement>>;
