import type { DSize } from '../../utils';
import React from 'react';
import { DComposeItem } from './ComposeItem';
export interface DComposeContextData {
    gSize?: DSize;
    gDisabled?: boolean;
}
export declare const DComposeContext: React.Context<DComposeContextData | null>;
export declare type DComposeRef = HTMLDivElement;
export interface DComposeProps extends React.HTMLAttributes<HTMLDivElement> {
    dSize?: DSize;
    dVertical?: boolean;
    dDisabled?: boolean;
}
declare function Compose(props: DComposeProps, ref: React.ForwardedRef<DComposeRef>): JSX.Element | null;
export declare const DCompose: {
    (props: DComposeProps & React.RefAttributes<DComposeRef>): ReturnType<typeof Compose>;
    Item: typeof DComposeItem;
};
export {};
