/// <reference types="react" />
export interface DPaginationProps extends Omit<React.HTMLAttributes<HTMLElement>, 'children'> {
    dActive?: number;
    dTotal: number;
    dPageSize?: number;
    dPageSizeList?: number[];
    dCompose?: ('total' | 'pages' | 'size' | 'jump')[];
    dCustomRender?: {
        total?: (range: [number, number]) => React.ReactNode;
        prev?: React.ReactNode;
        page?: (page: number) => React.ReactNode;
        next?: React.ReactNode;
        size?: (size: number) => React.ReactNode;
        jump?: (input: React.ReactNode) => React.ReactNode;
    };
    dMini?: boolean;
    onActiveChange?: (page: number) => void;
    onPageSizeChange?: (size: number) => void;
}
export declare function DPagination(props: DPaginationProps): JSX.Element | null;
