/// <reference types="react" />
import type { DFormControl } from '../form';
import { DRadioGroup } from './RadioGroup';
export interface DRadioProps extends React.HTMLAttributes<HTMLElement> {
    dFormControl?: DFormControl;
    dModel?: boolean;
    dDisabled?: boolean;
    dInputProps?: React.InputHTMLAttributes<HTMLInputElement>;
    dInputRef?: React.Ref<HTMLInputElement>;
    onModelChange?: (checked: boolean) => void;
}
export interface DRadioPropsWithPrivate extends DRadioProps {
    __type?: 'outline' | 'fill';
}
export declare const DRadio: {
    (props: DRadioProps): JSX.Element | null;
    Group: typeof DRadioGroup;
};
