/// <reference types="react" />
import type { DFormControl } from '../form';
export interface DSliderProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dFormControl?: DFormControl;
    dModel?: number | [number, number];
    dMax?: number;
    dMin?: number;
    dStep?: number | null;
    dDisabled?: boolean;
    dMarks?: number | ({
        value: number;
        label: React.ReactNode;
    } | number)[];
    dVertical?: boolean;
    dReverse?: boolean;
    dRange?: boolean;
    dRangeMinDistance?: number;
    dRangeThumbDraggable?: boolean;
    dTooltipVisible?: boolean | [boolean?, boolean?];
    dInputProps?: React.InputHTMLAttributes<HTMLInputElement> | [React.InputHTMLAttributes<HTMLInputElement>?, React.InputHTMLAttributes<HTMLInputElement>?];
    dInputRef?: React.Ref<HTMLInputElement> | [React.Ref<HTMLInputElement>?, React.Ref<HTMLInputElement>?];
    onModelChange?: (value: any) => void;
    dCustomTooltip?: (value: number) => React.ReactNode;
}
export declare function DSlider(props: DSliderProps): JSX.Element | null;
