import React from 'react';
export interface DPanelProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dClassNamePrefix: string;
    dType?: 'success' | 'warning' | 'error' | 'info';
    dIcon?: React.ReactNode;
    dContent: React.ReactNode;
    dActions?: React.ReactNode[];
    onClose?: () => void;
}
export declare const DPanel: React.ForwardRefExoticComponent<DPanelProps & React.RefAttributes<HTMLDivElement>>;
