/// <reference types="react" />
import type { Subject } from 'rxjs';
export interface DSubProps {
    children: React.ReactNode;
    dId: string;
    dFocusVisible: boolean;
    dPopup: React.ReactNode;
    dPopupVisible: boolean;
    dPopupState: boolean;
    dEmpty: boolean;
    dTrigger: 'hover' | 'click';
    dIcon?: React.ReactNode;
    dLevel?: number;
    dDisabled?: boolean;
    onVisibleChange: (visible: boolean) => void;
    updatePosition$: Subject<void>;
}
export declare function DSub(props: DSubProps): JSX.Element | null;
